Skip to Main Content
Skip Navigation Links
 

Minimum System Requirements and Supported Browsers:

Windows
Windows 7: IE 9.0, IE. 8.0, Firefox 8.x, Firefox 3.x
Vista: IE 9.0, IE. 8.0, Firefox 8.x, Firefox 3.x
XP: IE 9.0, IE. 8.0, Firefox 8.x, Firefox 3.x

Mac
OS X 10.7.x (Intel): Firefox 8.x, Safari 5.x
OS X 10.6.x (Intel): Firefox 8.x, Firefox 3.x, Safari 5.x
OS X 10.5.x (PPC and Intel): Firefox 8.x, Firefox 3.x, Safari 5.x
IOS v4.2.1 or greater: F5 Big-IP Edge Client App

Note: When the VPN vendor releases support for new browsers, there will be a delay before Children's Hospital deploys the update to allow for testing and ensuring service availability.